VOGONS


First post, by Aggro99

User metadata
Rank Newbie
Rank
Newbie

Hello, I'm new to DOSBox and have an application (Paradox) that will start up in DOSBox 0.74 but I need to be able to print out of it. I downloaded DOSBox SVN-Daum, which I've had good success with, but when run the Paradox application I get a message "Unexpected condition: Memory corruption (TSR loaded?) -- Leaving Paradox". I have tried to play around with the configuration file and tried multiple settings. I know that the SVN-Daum has more features but I feel that if I had it running in the old original build I should be able to run it in the SVN-Daum, any help would be greatly appreciated.

Reply 1 of 10, by collector

User metadata
Rank l33t
Rank
l33t

Don't use Daum. It is very old, very buggy and abandoned. Use vDos or vDosPlus for applications like Paradox.

The Sierra Help Pages -- New Sierra Game Installers -- Sierra Game Patches -- New Non-Sierra Game Installers

Reply 2 of 10, by Aggro99

User metadata
Rank Newbie
Rank
Newbie

I did start playing around in VDosPlus but when I try and run Paradox it tells me "Can't start Paradox: no directory specified for PDOXUSRS.net", I'm just not sure what configuration I'm missing. I didn't have to specify anything in DOSBox except for my mounted drives and running the paradox.exe file.

Reply 4 of 10, by Wengier

User metadata
Rank Member
Rank
Member

I would suggest you to try DOSBox-X for this too. I am the developer of vDosPlus, but I have been mostly worked on DOSBox-X recently which has a lot of improvements.

Windows installer for the latest DOSBox-X 0.83.3: DOSBox-X-0.83.3-setup.exe

Reply 5 of 10, by Aggro99

User metadata
Rank Newbie
Rank
Newbie

Thanks, I downloaded DOSBox-X and selected SDL1 during the install, when I run Paradox I get a Script error. When I click debug, I get "Run error: Expecting a value of LONG INTEGER type" and it refers to a line SETKEY -50 SETDIR "K:\\PDOX35" Play "RINIT". I have C: and K: mounted and see all of the files and Paradox does start but obviously it has issues with the script that needs to run. When I run the old original DOSBox 0.74 it will open up my PARADOX and run the script without any issues. Is there a setting I need to change in the configuration file?

Tried:
32 bit and 64 bit
SDL1 and SDL2
DOS Ver 5 and 7.10

Reply 6 of 10, by Wengier

User metadata
Rank Member
Rank
Member

I just tried to install and run Paradox 4.5 for DOS myself (downloaded from the Internet) in DOSBox-X 0.83.3 and it seems to run without issues, although I haven't thoroughly tested all its functions. Not sure if it is the same version you are using, but I think 4.5 is already the latest version for DOS.

Reply 7 of 10, by Aggro99

User metadata
Rank Newbie
Rank
Newbie

Yes, I'm using 4.5, Paradox does load but I think when it calls on loading this script, that's when it throws the error "Run error: Expecting a value of LONG INTEGER type". I'm not to sure why the old DOSBox will run the script but this version throws an error, that's why I was thinking it may be a setting.

Reply 9 of 10, by Aggro99

User metadata
Rank Newbie
Rank
Newbie

Hi everyone, I wanted to thank you for all of the replies, I was finally able to get it working with DOSBox-X. It looks like I was fighting a Paradox issue and not a DOSBox issue, I think there was a file locked on the system that when it was closed out or became unlocked it allowed DOSBox, Paradox and the Paradox scripts to run the right way.

Thanks again!!

Reply 10 of 10, by darry

User metadata
Rank l33t
Rank
l33t
Aggro99 wrote on 2020-07-10, 20:37:

Hi everyone, I wanted to thank you for all of the replies, I was finally able to get it working with DOSBox-X. It looks like I was fighting a Paradox issue and not a DOSBox issue, I think there was a file locked on the system that when it was closed out or became unlocked it allowed DOSBox, Paradox and the Paradox scripts to run the right way.

Thanks again!!

I would call that paradoxical . 😀